#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-GQ4JjoINMNY2IEGoeMZBR1-dns-internal
key:                  dns-4.1.1-GQ4JjoINMNY2IEGoeMZBR1-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  a41f68af7dc9cf3e09ae91fd6b5b531c
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-GQ4JjoINMNY2IEGoeMZBR1-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-LmSVINhEjtM7SmkG8MLO8t
    attoparsec-0.14.4-JadDyXYzn4eLOmfXFQKWms
    auto-update-0.1.6-AOSGNuCEFKD9ahO3FY6zWB base-4.17.2.1
    base16-bytestring-1.0.2.0-6VVRc1nHWbAJpQiT5kEacA
    base64-bytestring-1.2.1.0-7Nrkh6WJI5e9Cz7LMEn1Am
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-AWFLL2AswjaDL5BPKWbRsE
    containers-0.6.7 cryptonite-0.30-JHDjm8e86LJ9FyfS9N6hxO
    hourglass-0.2.12-JFcQJOlDPoZ93vxYqbNuj
    iproute-1.7.15-2F7usvhQPUsJku9IJQHPv2 mtl-2.2.2
    network-3.1.4.0-3dx8iLR4JM2HWvxqoL7m7K
    psqueues-0.2.8.1-9vXGzVrA24sJzwmZZpQumC

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-1WfPvmgiISm4ylFjsl9u7e
key:                  dns-4.1.1-1WfPvmgiISm4ylFjsl9u7e
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  05ccaa5459505bfc65232dfe4d877d98
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-1WfPvmgiISm4ylFjsl9u7e
depends:
    array-0.5.4.0 async-2.2.5-LmSVINhEjtM7SmkG8MLO8t
    attoparsec-0.14.4-JadDyXYzn4eLOmfXFQKWms
    auto-update-0.1.6-AOSGNuCEFKD9ahO3FY6zWB base-4.17.2.1
    base16-bytestring-1.0.2.0-6VVRc1nHWbAJpQiT5kEacA
    base64-bytestring-1.2.1.0-7Nrkh6WJI5e9Cz7LMEn1Am
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-JHDjm8e86LJ9FyfS9N6hxO
    dns-4.1.1-GQ4JjoINMNY2IEGoeMZBR1-dns-internal
    hourglass-0.2.12-JFcQJOlDPoZ93vxYqbNuj
    iproute-1.7.15-2F7usvhQPUsJku9IJQHPv2 mtl-2.2.2
    network-3.1.4.0-3dx8iLR4JM2HWvxqoL7m7K
    psqueues-0.2.8.1-9vXGzVrA24sJzwmZZpQumC

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

